Subject: Re: wu-ftpd question

From: [email-masked] (Lee McLoughlin)
Date: Mon, 13 Apr 1998 13:35:48 +0100

On Apr 12,  7:09pm, Gregory A Lundberg wrote:
} Subject: Re: wu-ftpd question
} 
} On Sun, 12 Apr 1998, Themistoklis Kordogiannis wrote:
} 
} > What i want to know is if it's possible to configure to ftp server so
} > when a user follows a link, when he does "cd ..", instead of going to
} > the parent directory from where he is at the moment, to 'follow the link
} > back' to where he came from. 
} 
} No.  Unix doesn't work that way and any hack to the server to do it would
} be a lot of work.

I've already done these patches they can be found in:
	ftp://sunsite.org.uk/packages/mirror/experimental/wu-2.4.2-upd13.shar

Have a look at the MAPPING_CHDIR code.

Someone has fixed the patches to work with a more recent wu-ftpd but I've
not had the time to cut a new shar file, sorry.

I've tried to get them incorporated into wu-ftpd in the distant past but never
succeeded.  If anyone could tell me what the current procedure is for getting
extensions added I'd be grateful.

-- 
--
Lee McLoughlin.                         Phone: +44 171 594 8388
IC-Parc, Imperial College,              Fax:   +44 171 594 8432
South Kensington, London. SW7 2AZ. UK.  Email: [email-masked]